Skip to main content
`Ctrl`+`K`

# NEPNLEIGSGetEPS

Retrieve the linear eigensolver object (`EPS`) associated to the nonlinear eigenvalue solver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPNLEIGSGetEPS(NEP nep,EPS *eps)

Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameter

- eps - the linear eigensolver context

## Note

By default, the linear eigensolver is integrated within the NLEIGS method. This `EPS` object is used only in the case that the explicit basis has been selected with `NEPNLEIGSSetFullBasis()`.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPNLEIGS`, `NEPNLEIGSSetEPS()`, `NEPNLEIGSSetFullBasis()`

## Level

advanced

## Location

src/nep/impls/nleigs/nleigs-fullb.c

## Implementations

NEPNLEIGSGetEPS_NLEIGS() in src/nep/impls/nleigs/nleigs-fullb.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages